Бюллетень по безопасности Android – декабрь 2017 г.

Опубликовано 4 декабря 2017 г. | Обновлено 6 декабря 2017 г.

В этом бюллетене содержится информация об уязвимостях в защите устройств Android. Все актуальные проблемы, перечисленные здесь, устранены в исправлении от 5 декабря 2017 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в Справочном центре.

Мы сообщили партнерам обо всех проблемах по крайней мере за месяц до выхода бюллетеня. Исправления уязвимостей доступны в хранилище Android Open Source Project (AOSP). В этом бюллетене также приведены ссылки на исправления вне AOSP.

Самая серьезная из этих проблем – критическая уязвимость в Media Framework, которая позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла. Уровень серьезности зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.

У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе Предотвращение атак рассказывается, как платформа безопасности и Google Play Защита помогают снизить вероятность атак на Android.

Примечание. Информация о последних автоматических обновлениях (OTA) и образах встроенного ПО для устройств Google содержится в бюллетене по безопасности Pixel  и Nexus за декабрь 2017 года.

Предотвращение атак

Ниже рассказывается, как платформа безопасности и средства защиты сервисов, например Google Play Защита, позволяют снизить вероятность атак на Android.

  • В новых версиях Android сложнее использовать многие уязвимости, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.
  • Команда, отвечающая за безопасность Android, с помощью Google Play Защиты активно отслеживает злоупотребления и предупреждает пользователей об установке потенциально опасных приложений. Google Play Защита включена по умолчанию на всех устройствах с сервисами Google для мобильных устройств. Она особенно важна, если пользователь устанавливает ПО из сторонних источников.

Описание уязвимостей (обновление системы безопасности 2017-12-01)

В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2017-12-01. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица с CVE, ссылками, типом, уровнем серьезности, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.

Framework

Самая серьезная уязвимость позволяет локальному вредоносному ПО обойти требования к взаимодействию с пользователем и получить доступ к дополнительным разрешениям.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-0807 A-35056974* ПП Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0870 A-62134807 ПП Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0871 A-65281159 ПП Высокий 8.0

Media Framework

Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-0872 A-65290323 УВК Критический 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0876 A-64964675* УВК Критический 6.0
CVE-2017-0877 A-66372937* УВК Критический 6.0
CVE-2017-0878 A-65186291 УВК Критический 8.0
CVE-2017-13151 A-63874456 УВК Критический 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13153 A-65280854 ПП Высокий 8.0
CVE-2017-0837 A-64340921 [2] ПП Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0873 A-63316255 ОО Высокий 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0874 A-63315932 ОО Высокий 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0880 A-65646012 [2] ОО Высокий 7.0, 7.1.1, 7.1.2
CVE-2017-13148 A-65717533 ОО Высокий 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0

Система

Самая серьезная уязвимость позволяет находящемуся поблизости злоумышленнику выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-13160 A-37160362 УВК Критический 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13156 A-64211847 ПП Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13157 A-32990341 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13158 A-32879915 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13159 A-32879772 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0

Описание уязвимостей (обновление системы безопасности 2017-12-05)

В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2017-12-05. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведена таблица с CVE, ссылками, типом, уровнем серьезности, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.

Компоненты ядра

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-13162 A-64216036* ПП Высокий Binder
CVE-2017-0564 A-34276203* ПП Высокий ION
CVE-2017-7533 A-63689921
Upstream kernel
ПП Высокий Обработка файлов
CVE-2017-13174 A-63100473* ПП Высокий EDL

Компоненты MediaTek

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-13170 A-36102397*
M-ALPS03359280
ПП Высокий Драйвер экрана
CVE-2017-13171 A-64316572*
M-ALPS03479086
ПП Высокий Сервис управления производительностью
CVE-2017-13173 A-28067350*
M-ALPS02672361
ПП Высокий SystemServer

Компоненты NVIDIA

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-6262 A-38045794*
N-CVE-2017-6262
ПП Высокий Драйвер NVIDIA
CVE-2017-6263 A-38046353*
N-CVE-2017-6263
ПП Высокий Драйвер NVIDIA
CVE-2017-6276 A-63802421*
N-CVE-2017-6276
ПП Высокий Mediaserver

Компоненты Qualcomm

Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-11043 A-64728953
QC-CR#2067820
УВК Критический WLAN
CVE-2016-3706 A-34499281
QC-CR#1058691 [2]
УВК Критический RPC по протоколу UDP
CVE-2016-4429 A-68946906
QC-CR#1058691 [2]
УВК Критический RPC по протоколу UDP
CVE-2017-11007 A-66913719
QC-CR#2068824
ПП Высокий FastBoot
CVE-2017-14904 A-63662821*
QC-CR#2109325
ПП Высокий Gralloc
CVE-2017-9716 A-63868627
QC-CR#2006695
ПП Высокий Драйвер QBT1000
CVE-2017-14897 A-65468973
QC-CR#2054091
ПП Высокий Драйвер RPMB
CVE-2017-14902 A-65468970
QC-CR#2061287
ПП Высокий MProc
CVE-2017-14895 A-65468977
QC-CR#2009308
ПП Высокий WLAN

Компоненты Qualcomm с закрытым исходным кодом

Эти уязвимости затрагивают компоненты Qualcomm и описаны в бюллетенях по безопасности Qualcomm AMSS или оповещениях системы безопасности. Уровень серьезности этих уязвимостей определяется непосредственно компанией Qualcomm.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-6211 A-36217326* Н/Д Критический Закрытый компонент
CVE-2017-14908 A-62212840* Н/Д Высокий Закрытый компонент
CVE-2017-14909 A-62212839* Н/Д Высокий Закрытый компонент
CVE-2017-14914 A-62212297* Н/Д Высокий Закрытый компонент
CVE-2017-14916 A-62212841* Н/Д Высокий Закрытый компонент
CVE-2017-14917 A-62212740* Н/Д Высокий Закрытый компонент
CVE-2017-14918 A-65946406* Н/Д Высокий Закрытый компонент
CVE-2017-11005 A-66913715* Н/Д Высокий Закрытый компонент
CVE-2017-11006 A-66913717* Н/Д Высокий Компонент с закрытым исходным кодом

Часто задаваемые вопросы

В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.

1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?

Информацию о том, как проверить обновления системы безопасности, можно найти в Справочном центре.

  • В исправлении от 1 декабря 2017 года или более новом устранены все проблемы, связанные с обновлением 2017-12-01.
  • В исправлении от 5 декабря 2017 года или более новом устранены все проблемы, связанные с обновлением 2017-12-05.

Производители устройств, позволяющие установить эти обновления, должны присвоить им один из следующих уровней:

  • [ro.build.version.security_patch]:[2017-12-01]
  • [ro.build.version.security_patch]:[2017-12-05]

2. Почему в этом бюллетене говорится о двух обновлениях системы безопасности?

Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Рекомендуем партнерам Android исправить все вышеперечисленные проблемы и установить последнее обновление системы безопасности.

  • На устройствах с установленным обновлением 2017-12-01 должны быть исправлены все проблемы, упомянутые в соответствующем разделе этого бюллетеня, а также в предыдущих выпусках.
  • На устройствах с установленным обновлением 2017-12-05 или более новым должны быть исправлены все проблемы, упомянутые в этом бюллетене и предыдущих выпусках.

Рекомендуем партнерам собрать все исправления проблем в одно обновление.

3. Что означают сокращения в столбце Тип?

В этом столбце указан тип уязвимости по следующей классификации:

Сокращение Описание
УВК Удаленное выполнение кода
ПП Повышение привилегий
РИ Раскрытие информации
ОО Отказ в обслуживании
Н/Д Классификация недоступна

4. На что указывают записи в столбце Ссылки?

В таблицах с описанием уязвимостей есть столбец Ссылки. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:

Префикс Значение
A- Идентификатор ошибки Android
QC- Ссылочный номер Qualcomm
M- Ссылочный номер MediaTek
N- Ссылочный номер NVIDIA
B- Ссылочный номер Broadcom

5. Что означает символ * рядом с идентификатором ошибки Android в столбце Ссылки?

Символ * означает, что исправление для уязвимости не опубликовано. Необходимое обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на сайте для разработчиков.

6. Почему теперь одни уязвимости описываются в этих бюллетенях, а другие – в бюллетенях по безопасности Pixel  и Nexus, а также в остальных бюллетенях партнеров?

В этом бюллетене описаны уязвимости, которые были устранены в последнем обновлении системы безопасности для устройств Android. Решать дополнительные проблемы, перечисленные в бюллетенях по безопасности партнеров, для этого не потребовалось. Мы рекомендуем производителям чипсетов и устройств Android рассказывать об исправлениях для своих устройств в бюллетенях по безопасности на собственных сайтах, например Samsung, LGE, а также Pixel  и Nexus.

Версии

Версия Дата Примечания
1.0 4 декабря 2017 г. Бюллетень опубликован.
1.1 6 декабря 2017 г. Добавлены ссылки на AOSP.